{ ... }:
{
  home.file.".config/xkb/symbols/gpdwinmax".text = 
  ''
    default partial alphanumeric_keys
    xkb_symbols "us-intl-winmax" {
        name[group1] = "GPD Win Max us-inlt";
        include "us(altgr-intl)"
        key <TAB> { [ Multi_key ] };
        key <CAPS> { [ Tab ] };
        # include "level3(ralt_switch)"
    };
  '';
  wayland.windowManager.sway.checkConfig = false;
  wayland.windowManager.sway.config.input = {
    "1:1:AT_Translated_Set_2_keyboard" = {
      xkb_layout = "gpdwinmax";
    };
    "1046:928:Goodix_Capacitive_TouchScreen" = {
      map_to_output = "eDP-1";
    };
    "2362:597:HTIX5288:00_093A:0255_Touchpad" = {
      "tap" = "enable";
      "pointer_accel" = "0.3";
    };
  };
  wayland.windowManager.sway.config.output = {
    "eDP-1" = {
      transform = "90";
      scale = "1.3";
    };
  };
}
